https://build.opensuse.org/package/view_file/Archiving/unzip/CVE-2014-9913.patch?expand=1

Index: unzip60/list.c
===================================================================
--- unzip60.orig/list.c
+++ unzip60/list.c
@@ -339,7 +339,18 @@ int list_files(__G)    /* return PK-type
                 G.crec.compression_method == ENHDEFLATED) {
                 methbuf[5] = dtype[(G.crec.general_purpose_bit_flag>>1) & 3];
             } else if (methnum >= NUM_METHODS) {
-                sprintf(&methbuf[4], "%03u", G.crec.compression_method);
+		/* 2013-02-26 SMS.
+		 * http://sourceforge.net/p/infozip/bugs/27/  CVE-2014-9913.
+		 * Unexpectedly large compression methods overflow
+		 * &methbuf[].  Use the old, three-digit decimal format
+		 * for values which fit.  Otherwise, sacrifice the
+		 * colon, and use four-digit hexadecimal.
+		 */
+		if (G.crec.compression_method <= 999) {
+		    sprintf( &methbuf[ 4], "%03u", G.crec.compression_method);
+		} else {
+		    sprintf( &methbuf[ 3], "%04X", G.crec.compression_method);
+		}
             }
 
 #if 0       /* GRR/Euro:  add this? */
